using System.ComponentModel;
using System.Xml.Serialization;

namespace EQIA.EQIDL
{
    public partial class StaticAnimation : StaticScreenPiece
    {
        private string myAnimation;

        /// <summary>
        /// Name of the animation this is using
        /// </summary>
        [XmlElement("Animation", IsNullable = false)]
        [Browsable(true), Description("An animation to draw")]
        public string Animation { get { return myAnimation; } set { myAnimation = value; } }

        public StaticAnimation() : this(null) { }
        public StaticAnimation(EQInterface eqInterface) : base(eqInterface) { }

        protected override void SetProperties(object obj)
        {
            base.SetProperties(obj);

            StaticAnimation temp_StaticAnimation = obj as StaticAnimation;
            if (temp_StaticAnimation != null)
                Animation = temp_StaticAnimation.Animation;
        }
    }
}
